<template>
  <div class="d-flex flex-column">
    <b-table
      :fields="fields"
      :items="catalogMatchProperties"
      :sort-desc="false"
      borderless
      small
      sort-by="key"
      sticky-header
      style="white-space: nowrap"
    />
  </div>
</template>

<script lang="ts">
import Vue, { PropOptions } from 'vue';
import { mapGetters } from 'vuex';

import { CatalogMatch } from '@/common/types';

export default Vue.extend({
  props: {
    catalogMatch: {
      type: Object,
      required: true,
    } as PropOptions<CatalogMatch>,
  },

  data() {
    return {
      currentPage: 1,
      fields: [
        {
          key: 'key',
          label: 'Key',
        },
        {
          key: 'value',
          label: 'Value',
        },
      ],
      pageOptions: [5, 10, 25, 50, 100],
      perPage: 10,
      sortBy: 'key',
      sortDesc: false,
    };
  },

  computed: {
    ...mapGetters(['userData']),
    catalogMatchProperties() {
      return Object.entries(this.catalogMatch.properties).map(([key, value]) => ({
        key,
        value,
      }));
    },
  },
});
</script>

<style>
.table > tbody > tr > td {
  vertical-align: middle;
}
</style>
